Memcached::getDelayed
Memcached::getMulti
Memcached
PHP Manual

# Memcached::getDelayedByKey

(PECL memcached >= 0.1.0)

Memcached::getDelayedByKey — Request multiple items from a specific server

### Description

public bool Memcached::getDelayedByKey ( string `$server_key` , array `$keys` [, bool `$with_cas` [, callback `$value_cb` ]] )

Memcached::getDelayedByKey() is functionally equivalent to Memcached::getDelayed, except that the free-form `server_key` can be used to map the `keys` to a specific server.

### Parameters

`server_key`

  The key identifying the server to store the value on.

`keys`

  Array of keys to request.

`with_cas`

  Whether to request CAS token values also.

`value_cb`

  The result callback or `NULL`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. Use Memcached::getResultCode if necessary.

### See Also

- Memcached::getDelayed - Request multiple items
- Memcached::fetch - Fetch the next result
- Memcached::fetchAll - Fetch all the remaining results

Memcached::getDelayed
Memcached::getMulti
Memcached
PHP Manual